> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fryte.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List jobs

> List all optimization jobs for a given user. Returns job summaries with status, timestamps, and identifiers.



## OpenAPI

````yaml /openapi.json get /planner/jobs
openapi: 3.1.0
info:
  title: FRYTE Planner API
  version: 2.0.0
servers:
  - url: https://api.fryte.eu
security: []
paths:
  /planner/jobs:
    get:
      tags:
        - planner
      summary: List jobs
      description: >-
        List all optimization jobs for a given user. Returns job summaries with
        status, timestamps, and identifiers.
      operationId: list_jobs_planner_jobs_get
      parameters:
        - name: user_id
          in: query
          required: true
          schema:
            type: integer
            description: User ID to list jobs for
            title: User Id
          description: User ID to list jobs for
        - name: tenant_id
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: Tenant ID
            title: Tenant Id
          description: Tenant ID
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/JobListResponse'
                title: Response List Jobs Planner Jobs Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HybridAuthBearer: []
        - HTTPBearer: []
components:
  schemas:
    JobListResponse:
      properties:
        optimization_id:
          type: integer
          title: Optimization Id
          description: Optimization identifier.
        job_id:
          type: string
          title: Job Id
          description: Job identifier (UUID).
        date_created:
          type: string
          title: Date Created
          description: Timestamp when the job was created (ISO-8601).
        last_update:
          type: string
          title: Last Update
          description: Timestamp of the last status update (ISO-8601).
        status:
          type: string
          title: Status
          description: >-
            Job status: queued, running, succeeded, not_drivable, failed,
            canceled.
      type: object
      required:
        - optimization_id
        - job_id
        - date_created
        - last_update
        - status
      title: JobListResponse
      example:
        date_created: '2026-04-30T08:00:00Z'
        job_id: c3f1c944-a44c-4c07-ab52-7df7ba94024a
        last_update: '2026-04-30T08:00:25Z'
        optimization_id: 7658
        status: succeeded
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HybridAuthBearer:
      type: http
      scheme: bearer
    HTTPBearer:
      type: http
      scheme: bearer

````